//
//  TemperatureSensorController.h
//  TemperatureSensor
//
//  Created by Phidgets on 2015-07-17.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface TemperatureSensorController : NSObject <NSApplicationDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetTemperatureSensorHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    IBOutlet NSTextField *settingsLabel;
    
    //DataInterval
    IBOutlet NSBox *dataIntervalBox;
    IBOutlet id dataIntervalSlider;
    IBOutlet NSTextField *dataIntervalText;
    IBOutlet NSTextField *minDataIntervalLabel;
    IBOutlet NSTextField *maxDataIntervalLabel;
    //Change Trigger
    IBOutlet NSBox *changeTriggerBox;
    IBOutlet NSTextField *changeTriggerText;
    IBOutlet NSTextField *minChangeTriggerLabel;
    IBOutlet NSTextField *maxChangeTriggerLabel;
    IBOutlet id changeTriggerSlider;
    //RTD Settings
    IBOutlet NSBox *rtdBox;
    IBOutlet NSPopUpButton *rtdTypeCombo;
    IBOutlet NSPopUpButton *rtdSetupCombo;
    //Thermocouple Settings
    IBOutlet NSBox *thermocoupleBox;
    IBOutlet NSPopUpButton *thermocoupleTypeCombo;
	IBOutlet NSStackView *stackBox;
    
    //Data
    IBOutlet NSBox *dataBox;
    IBOutlet NSTextField *temperatureText;
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
	
	NSBox *lastBox;
}
@end
